Post Report Request

Post Report Request #

Post a request to run a report for a specific time period (dateFilter).

POST /v1.0/workspaces/{WORKSPACE_ID}/reports/{REPORT_ID}/requests

Example using a Preset Date Filter #

This request will run a report for the current quarter. The return body contains as 'requestId' which can be used to query the status of the report and retrieve the dataset.

Request #

POST <https://api.au.myreports.cloud/api/v1.0/workspaces/00000000-0000-0000-0000-000000000001/reports/00000000-0000-0000-0000-000000000001/requests> HTTP/1.1
Content-Type: application/json
Authorisation: Bearer {TOKEN}
Connection: keep-alive
{
    "reportId": "00000000-0000-0000-0000-000000000001",
    "filterId": "00000000-0000-0000-0000-000000000001",
    "dateFilter": {
        "presetName": "ThisQuarter"
    },
    "additionalConditions" : \[]

}
Information Circle info
The 'presetName' can be any one of the valid Preset Date Filters.
Information Circle info
The 'filterId' can be used to apply a pre-defined filter to the report. If not supplied, the default filter applied to the report being requested will be used.
Information Circle info
The 'additionalConditions' can be used to apply Additional Filters to the report. These filters will supplement whatever parameters are specified in a pre-defined filter.

Response #

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: xx
{
    "data": {
        "requestId": "00000000-0000-0000-0000-000000000005",
        "locale": "en-GB",
        "reportId": "00000000-0000-0000-0000-000000000001",
        "referenceDate": "2025-09-22T15:23:01.0201791+00:00",
        "dateFilter": {
            "presetName": "ThisQuarter",
            "presetFilterObject": {
                "units": 5,
                "offset": 0,
                "length": 1,
                "roundingMode": 1,
                "daysOfWeek": 127
            },
            "daysOfWeek": 127
        },
        "startTime": "2025-07-01T00:00:00+01:00",
        "endTime": "2025-09-22T16:08:01.02159+01:00"
    },
    "status": "success",
    "timestamp": "2025-09-22T15:23:02.2982477Z"
}

Example using a Fixed Date Range #

This request will run a report for the current quarter. The return body contains as 'requestId' which can be used to query the status of the report and retrieve the dataset.

Request #

POST <https://api.au.myreports.cloud/api/v1.0/workspaces/00000000-0000-0000-0000-000000000001/reports/00000000-0000-0000-0000-000000000001/requests> HTTP/1.1
Content-Type: application/json
Authorisation: Bearer {TOKEN}
Connection: keep-alive
{
    "reportId": "00000000-0000-0000-0000-000000000001",
    "dateFilter": {
       "start": "2025-09-26T09:00:00+01:00",
        "end": "2025-09-26T17:00:00+01:00"
    }
}
Information Circle info
The 'presetName' can be any one of the valid Preset Date Filters.

Response #

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
Content-Length: xx
{
    "data": {
        "requestId": "00000000-0000-0000-0000-000000000005",
        "locale": "en-GB",
        "reportId": "00000000-0000-0000-0000-000000000001",
        "referenceDate": "2025-09-22T15:23:01.0201791+00:00",
        "dateFilter": {
            "start": "2025-09-26T09:00:00+01:00",
            "end": "2025-09-26T17:00:00+01:00",
            "presetFilterObject": {
                "units": 5,
                "offset": 0,
                "length": 1,
                "roundingMode": 1,
                "daysOfWeek": 127
            },
            "daysOfWeek": 127
        },
        "start": "2025-09-26T09:00:00+01:00",
        "end": "2025-09-26T17:00:00+01:00"
    },
    "status": "success",
    "timestamp": "2025-09-22T15:23:02.2982477Z"
}

Errors #

Unauthorised #

When the token is not provided, invalid or expired

HTTP/1.1 401 Unauthorised